## LmError

LmError — Error reporting.

## Functions

GQuark | lm_error_quark ()

## Types and Values

enum | LmError
#define | LM_ERROR

## Description

## Functions

### lm_error_quark ()

    GQuark
    lm_error_quark (void);

## Types and Values

### enum LmError

Describes the problem of the error.

#### Members

LM_ERROR_CONNECTION_NOT_OPEN | Connection not open when trying to send a message |
LM_ERROR_CONNECTION_OPEN | Connection is already open when trying to open it again. |
LM_ERROR_AUTH_FAILED | Authentication failed while opening connection |
LM_ERROR_CONNECTION_FAILED |  |

### LM_ERROR

    #define LM_ERROR lm_error_quark ()

Macro for getting the error quark.